<?xml version="1.0"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:o="urn:schemas-microsoft-com:office:office"
  xmlns:x="urn:schemas-microsoft-com:office:excel"
  xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:html="http://www.w3.org/TR/REC-html40">
  <Styles>
    <Style ss:ID="s22">
      <NumberFormat ss:Format="dd\ mmm\ yyyy"/>
  </Style>
  </Styles>
  <Worksheet ss:Name="Sheet1">
    <Table>
      <Row>
        <Cell><Data ss:Type="String">Project Name</Data></Cell>
        <Cell><Data ss:Type="String">Creator</Data></Cell>
        <Cell><Data ss:Type="String">Creator's Email</Data></Cell>
        <Cell><Data ss:Type="String">Valuation Firm</Data></Cell>
        <Cell><Data ss:Type="String">Client</Data></Cell>
        <Cell><Data ss:Type="String">Valuer Ref</Data></Cell>
        <Cell><Data ss:Type="String">Waterman Ref</Data></Cell>
        <Cell><Data ss:Type="String">Creation Date</Data></Cell>
        <Cell><Data ss:Type="String">Completion Date</Data></Cell>
        <Cell><Data ss:Type="String">Invoice Number</Data></Cell>
        <Cell><Data ss:Type="String">Invoice Status</Data></Cell>
      </Row>
      <% @projects.each do |project| %>
        <Row>
          <Cell><Data ss:Type="String"><%= h truncated_text(project.project_name) %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.creator.full_name %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.creator.email %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.creator.valuation_firm.company_name %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.client %></Data></Cell>
          <Cell><Data ss:Type="String"><%= h truncated_text(project.your_ref,2) %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.waterman_ref %></Data></Cell>
          <Cell ss:StyleID="s22"><Data ss:Type="DateTime"><%= project.project_confirmed_date.in_time_zone('London').strftime("%Y-%m-%d") + "T00:00:00.000" unless project.project_confirmed_date.nil? %></Data></Cell>
          <Cell ss:StyleID="s22"><Data ss:Type="DateTime"><%= project.completion_date.strftime("%Y-%m-%d") + "T00:00:00.000" %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.invoice_details %></Data></Cell>
          <Cell><Data ss:Type="String"><%= project.invoice_status %></Data></Cell>
        </Row>
      <% end %>
    </Table>
  </Worksheet>
</Workbook>
